/*
 * Copyright (c) 1991-1994 by the University of Southern California
 *
 * For copying and distribution information, please see the file
 * <usc-license.h>.
 */

#include <usc-license.h>
#include <stdio.h>

#include <pfs.h>
#include <perrno.h>

/*
 * fl_insert - Add a filter to a link
 *
 *             FL_INSERT takes a filter, and a link that is to receive
 *             the filter.  The filter is then appended to the linked list 
 *             of filters associated with the link. 
 *
 *    ARGS:    fil - Filter to be inserted, lin - Link to get filter
 *
 * RETURNS:    PSUCCESS - always
 */
fl_insert(fil,lin)
    FILTER      fil;
    VLINK	lin;		/* Link to receive filter            */

{
    APPEND_ITEM(fil, lin->filters);
    return(PSUCCESS);

}
